package com.zhentao.common.orders.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单表
 * @TableName orders
 */
@TableName(value ="orders")
@Data
public class Orders implements Serializable {
    /**
     * 订单编号
     */
    @TableId
    private Long ordersId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 优惠券id
     */
    private Long couponId;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 支付方式 0微信支付 1支付宝支付
     */
    private Integer paymentMethod;

    /**
     * 支付状态 0未支付 1已支付
     */
    private Integer paymentStatus;

    /**
     * 支付时间
     */
    private Date paymentTime;

    /**
     * 订单状态 0未支付 1已支付 2待评价 3完成 4订单超时
     */
    private Integer orderStatus;

    /**
     * 应付
     */
    private BigDecimal originalFee;

    /**
     * 实付
     */
    private BigDecimal actualFee;

    /**
     * 优惠金额
     */
    private BigDecimal discountAmount;

    /**
     * 订单创建时间
     */
    private Date createTime;

    /**
     * 订单信息更新时间
     */
    private Date updateTime;

    /**
     * 逻辑删除 0存在(默认值为0) 1删除
     */
    private Integer isDelete;

    /**
     * 退款售后 0正常 1有退款
     */
    private Integer isRefund;

    /**
     * 用户或客服添加的备注信息,记录特殊要求
     */
    private String remark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}